Table of Contents

## Name

glXFreeContextEXT - free client-side memory for imported context

## C Specification

void glXFreeContextEXT( Display *dpy,

        GLXContext ctx )

eqn not supported

## Parameters

dpy
  Specifies the connection to the X server.

ctx
  Specifies a GLX rendering context.

## Description

glXFreeContextEXT frees the client-side part of a GLXContext that was created with glXImportContext. glXFreeContextEXT does not free the server-side context information or the XID associated with the server-side context.

glXFreeContextEXT is part of the EXT_import_context extension, not part of the core GLX command set. If GLX_EXT_import_context is included in the string returned by glXQueryExtensionsString, when called with argument GLX_EXTENSIONS, extension EXT_vertex_array is supported.

## Errors

GLXBadContext is generated if ctx does not refer to a valid context.

## See Also

glXCreateContext, glXQueryVersion, glXQueryExtensionsString, glXImportContextEXT

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- See Also